VERSION 5.00
Object = "{C4847593-972C-11D0-9567-00A0C9273C2A}#8.0#0"; "crviewer.dll"
Begin VB.Form Form1 
   Caption         =   "Print Barcodes with Crystal Reports"
   ClientHeight    =   6600
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   9675
   LinkTopic       =   "Form1"
   ScaleHeight     =   6600
   ScaleWidth      =   9675
   StartUpPosition =   3  'Windows Default
   Begin CRVIEWERLibCtl.CRViewer CRViewer1 
      Height          =   6135
      Left            =   270
      TabIndex        =   0
      Top             =   240
      Width           =   9105
      DisplayGroupTree=   -1  'True
      DisplayToolbar  =   -1  'True
      EnableGroupTree =   -1  'True
      EnableNavigationControls=   -1  'True
      EnableStopButton=   -1  'True
      EnablePrintButton=   -1  'True
      EnableZoomControl=   -1  'True
      EnableCloseButton=   -1  'True
      EnableProgressControl=   -1  'True
      EnableSearchControl=   -1  'True
      EnableRefreshButton=   -1  'True
      EnableDrillDown =   -1  'True
      EnableAnimationControl=   -1  'True
      EnableSelectExpertButton=   0   'False
      EnableToolbar   =   -1  'True
      DisplayBorder   =   -1  'True
      DisplayTabs     =   -1  'True
      DisplayBackgroundEdge=   -1  'True
      SelectionFormula=   ""
      EnablePopupMenu =   -1  'True
      EnableExportButton=   0   'False
      EnableSearchExpertButton=   0   'False
      EnableHelpButton=   0   'False
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim rpt As CRAXDRT.Report
Dim crx As New CRAXDRT.Application
Dim db As CRAXDRT.Database
Dim WithEvents sect As CRAXDRT.Section
Attribute sect.VB_VarHelpID = -1

Private Sub CreateBarcodeImages()
    Dim dbMydB As DAO.Database
    Dim rsMyRS As DAO.Recordset
    Dim IDList() As Integer
    Dim IDCount As Integer
    Dim objMW6BC As Object
    Dim I As Integer
    Dim Orientation As Integer
    Dim BWidth As Long
    Dim BHeight As Long
    Dim ImageName As String
    
    ' Open a database
    Set dbMydB = OpenDatabase(App.Path & "\Sample.mdb")
    
    ' Create a recordset
    Set rsMyRS = dbMydB.OpenRecordset("Client", dbOpenDynaset)
    
    If Not rsMyRS.EOF Then rsMyRS.MoveFirst
    
    ' Store all IDs in a list
    IDCount = 0
    Do While Not rsMyRS.EOF
        ReDim Preserve IDList(IDCount) As Integer
        IDList(IDCount) = rsMyRS!ID
        
        IDCount = IDCount + 1
        rsMyRS.MoveNext
    Loop
    
    ' Create a COM Object of MW6 Barcode ActiveX
    Orientation = 0
    Set objMW6BC = CreateObject("Barcode.MW6Barcode")
    
    ' Change some settings
    objMW6BC.ShowText = True
    objMW6BC.SymbologyType = 4
    objMW6BC.BarHeight = 1.5
    objMW6BC.NarrowBarWidth = 0.07
    objMW6BC.Orientation = Orientation
    Call objMW6BC.SetAccessFont("Arial", 16, True, False)
    
    For I = 1 To IDCount
        objMW6BC.Data = "" & IDList(I - 1)
        Call objMW6BC.GetActualSize(True, 0, BWidth, BHeight)
        
        If (Orientation = 0) Or (Orientation = 2) Then
            Call objMW6BC.SetSize(BWidth + 30, BHeight + 40)
        Else
            Call objMW6BC.SetSize(BHeight + 30, BWidth + 40)
        End If
        
        ImageName = App.Path & "\MW6BC_" & IDList(I - 1) & ".bmp"
        
        ' Create a barcode image
        Call objMW6BC.SaveAsBMP(ImageName)
        
        rsMyRS.FindFirst "ID=" & IDList(I - 1)
        
        ' Update the ImageFile field of Client table
        rsMyRS.Edit
        rsMyRS!ImageFile = "MW6BC_" & IDList(I - 1) & ".bmp"
        rsMyRS.Update
    Next I
    
    rsMyRS.Close
    Set rsMyRS = Nothing
    
    Set objMW6BC = Nothing
    
End Sub
Private Sub Form_Load()
    Call CreateBarcodeImages

    Screen.MousePointer = vbHourglass
    
    Set rpt = crx.OpenReport(App.Path & "\SampleReport.rpt")
    Set db = rpt.Database
    Set sect = rpt.Sections("Section5")
    CRViewer1.ReportSource = rpt
    CRViewer1.ViewReport
    CRViewer1.Zoom 1
    
    Screen.MousePointer = vbDefault
End Sub

Private Sub Form_Resize()
    
    CRViewer1.Top = 0
    CRViewer1.Left = 0
    CRViewer1.Height = ScaleHeight
    CRViewer1.Width = ScaleWidth
    
End Sub

Private Sub sect_format(ByVal pFormattingInfo As Object)
    Dim bmp As StdPicture
    Dim ImageName As String
    
    With sect.ReportObjects
        ImageName = App.Path & "\" & .Item("Field3").Value
        If (Len(ImageName) > 0) Then
            Set bmp = LoadPicture(ImageName)
            Set .Item("Picture1").FormattedPicture = bmp
        End If
    End With
End Sub
